package de.projektarbeit.graph;

import org.achartengine.ChartFactory;
import org.achartengine.GraphicalView;
import org.achartengine.model.CategorySeries;
import org.achartengine.renderer.DialRenderer;
import org.achartengine.renderer.SimpleSeriesRenderer;
import org.achartengine.renderer.DialRenderer.Type;
import android.content.Context;
import android.graphics.Color;

public class FuelGraph {
	private GraphicalView viewFUEL;
	
	CategorySeries category = new CategorySeries("Liter");
	DialRenderer renderer = new DialRenderer();
	SimpleSeriesRenderer r = new SimpleSeriesRenderer();

	public FuelGraph()
	{
		 
		category.add("Liter", 100);
		renderer.setChartTitleTextSize(20);
	    renderer.setLabelsTextSize(12);
	    renderer.setLegendTextSize(15);
	    renderer.setMargins(new int[] { 0,0,0,0 });
	    r.setColor(Color.BLACK);
	    renderer.addSeriesRenderer(r);
	    renderer.setLabelsColor(Color.BLACK);
	    renderer.setShowLabels(true);
	    renderer.setVisualTypes(new DialRenderer.Type[] {Type.NEEDLE});
	    renderer.setMinValue(0);
	    renderer.setMaxValue(100);
	    renderer.setMajorTicksSpacing(50);
		renderer.setShowLegend(false);
		renderer.setMinorTicksSpacing(10);
		renderer.setAngleMax(210);
		renderer.setAngleMin(330);
		renderer.setPanEnabled(false);
		renderer.setScale((float) 1.175);
		
			 
	
	}
		
	public GraphicalView getView(Context context) 
	{
		
		viewFUEL =  ChartFactory.getDialChartView(context, category, renderer);
		return viewFUEL;
	}
		
	public void addNewFuel(Data.Fuel fuel) 
	{
		category.set(0,"Tank", fuel.getFUEL());
	}

	
}

