package de.projektarbeit.graph;

import de.projektarbeit.graph.Data.AmbientTemp;
import de.projektarbeit.graph.Data.EngSpeed;
import de.projektarbeit.graph.Data.EngTemp;
import de.projektarbeit.graph.Data.Fuel;
import de.projektarbeit.graph.Data.Gear;
import de.projektarbeit.graph.Data.OdoMeter;
import de.projektarbeit.graph.Data.Speed;
import de.projektarbeit.graph.Data.Time;


public class MockData {
	
	
	public static Speed getSPEEDfromReceiver(int v)
	{	
		return new Speed(v);  
	}
	
	
	public static EngSpeed getENGSPEEDfromReceiver(int n)
	{	
		return  new EngSpeed(n);  
	}
	
	
	public static EngTemp getENGTEMPfromReceiver(double engtemp)
	{	
		return  new EngTemp(engtemp);  
	}
		
	public static Fuel getFUELfromReceiver(int fuel)
	{	
		return  new Fuel(fuel);  
	}
	
	
	public static OdoMeter getMILEAGEfromReceiver(long mileage)
	{	
		return  new OdoMeter(mileage);  
	}
	
	public static AmbientTemp getAMBIENTTEMPfromReceiver(double ambienttemp)
	{	
		return  new AmbientTemp(ambienttemp);  
	}
	
	public static Gear getGEARfromReceiver(int km)
	{	
		return  new Gear(km);  
	}
	
	
	public static Time getTIMEfromClock(double t)
	{	
		return  new Time(t);  
	}
}
