package de.projektarbeit.can_monitor;

import android.app.ActionBar;
import android.app.ActionBar.Tab;
import android.app.Fragment;
import android.app.FragmentTransaction;

public class MyTabsListener implements ActionBar.TabListener {
        private Fragment mFragment;
        private final String mTag;

        public MyTabsListener(Fragment fragment, String tag) {
            this.mFragment = fragment;
            this.mTag=tag;
        }

        public void onTabSelected(Tab tab, FragmentTransaction ft) {
            ft.add(R.id.fragment_content, mFragment, mTag);
        }

        public void onTabUnselected(Tab tab, FragmentTransaction ft) {
            ft.remove(mFragment);
        }

        public void onTabReselected(Tab tab, FragmentTransaction ft) {
        }
    }
