package de.projektarbeit.fragment;

import org.achartengine.GraphicalView;
import de.projektarbeit.can_monitor.R;
import de.projektarbeit.graph.Data;
import de.projektarbeit.graph.MockData;
import de.projektarbeit.graph.MultiLineGraph;
import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

public class DataLogger_Fragment extends Fragment {
	
	private static GraphicalView viewMULTILINE;
	private MultiLineGraph multiline = new MultiLineGraph();
	
	View time;
	
	private static int SPEED = 0;
	private static double TIME = 0;
	private static int ENGSPEED = 0;
	private static int GEAR = 0;
		
	@Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        // Inflate the layout for this fragment
		
		View v = inflater.inflate(R.layout.datalogger_tab_content, container, false);
		
		time = v.findViewById(R.id.datalogger);
		
		viewMULTILINE = multiline.getView(inflater.getContext());
		((ViewGroup) time).addView(viewMULTILINE);
		
		return v;
    }
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
	}
	
	@Override
	public void onPause (){
		super.onPause();
	}
	
	public void setData(double time, int speed, int engspeed, int gear_) {
    	
		TIME = time;
		SPEED = speed;
		ENGSPEED = engspeed;
		GEAR = gear_;	
		
		Data.Time t = MockData.getTIMEfromClock(TIME);
		Data.Speed v = MockData.getSPEEDfromReceiver(SPEED);
		Data.EngSpeed n = MockData.getENGSPEEDfromReceiver(ENGSPEED);
		Data.Gear gear = MockData.getGEARfromReceiver(GEAR);
		
		multiline.addNewPoints(t, v, n, gear);
		viewMULTILINE.repaint();
    	}

}
